> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/kyc-verification/face-and-document-verification/onsite-verification.md).

# Onsite Verification

In onsite verification will directly interact with the end user to collect the required proofs for verification purposes.

## onsite\_document\_verification

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/kyc/vision/onsite_document_verification`

### Post parameters description is given below,

<table><thead><tr><th width="197">Post Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>email </td><td>String </td><td>Yes </td><td>Email Address</td></tr><tr><td>country</td><td>String </td><td>Yes </td><td>Country Code</td></tr><tr><td>language</td><td>String</td><td>Yes</td><td>Language</td></tr><tr><td>callback_url</td><td>String</td><td>No</td><td>Webhook Url to get response</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "email": "xxxxxxx.@gmail.com",
    "country": "IN",
    "language": "EN",
    "callback_url": "https://secctrl.tutelar.io/api/v1/callback"
}
```

{% tabs %}
{% tab title="200: In Progress" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "1a6f71f9-8cd8-4510-922f-83723dc637c3",
    "status": "in_progress",
    "result": {
        "verification_status": "pending",
        "verification_url": "https://app.shuftipro.com/verification/process/cUYmvxwtMAdjtqXNmll3ErdNa8V22h77FpBjbbyiYUcU6tlda2BcWIG2l1Q4fiqw"
    },
    "requested_at": "2023-01-12T08:53:04.074Z"
}
```

{% endtab %}

{% tab title="200: Completed" %}

```json
{
    "success": true,
    "code": 200,
    "message": "Document verification completed successfully.",
    "status": "completed",
    "reference_id": "bc14433e-3221-4e49-a9af-54538ff88f5c",
    "result": {
        "document_status": "SUCCESS",
        "email": "xxxxxxx@gmail.com",
        "country": "IN",
        "verification_data": {
            "document": {
                "name": {
                    "first_name": null,
                    "middle_name": null,
                    "last_name": null,
                    "full_name": "DHANUSHRAJA D"
                },
                "dob": "1994-11-14",
                "expiry_date": "2037-07-05",
                "issue_date": "2017-07-06",
                "document_number": "TN2220170006055",
                "selected_type": [
                    "driving_license"
                ],
                "supported_types": [
                    "id_card",
                    "driving_license",
                    "passport",
                    "credit_or_debit_card"
                ],
                "face_match_confidence": 65
            }
        },
        "verification_result": {
            "face": 1,
            "document": {
                "document": 1,
                "document_visibility": 1,
                "document_must_not_be_expired": 1,
                "document_proof": null,
                "selected_type": 1,
                "document_country": 1,
                "face_on_document_matched": 1,
                "name": 1,
                "document_number": 1,
                "dob": 1,
                "issue_date": 1,
                "expiry_date": 1
            }
        },
        "info": {
            "agent": {
                "is_desktop": true,
                "is_phone": false,
                "device_name": "Macintosh",
                "browser_name": "Chrome 120.0.0.0",
                "platform_name": "Mac OS 10.15.7"
            },
            "geolocation": {
                "host": "49.207.180.255.actcorp.in",
                "ip": "49.207.180.255",
                "rdns": "49.207.180.255",
                "asn": "24309",
                "isp": "Atria Convergence Technologies",
                "country_name": "India",
                "country_code": "IN",
                "region_name": "Tamil Nadu",
                "region_code": "TN",
                "city": "Chennai",
                "postal_code": "600018",
                "continent_name": "Asia",
                "continent_code": "AS",
                "latitude": "13.031100273132",
                "longitude": "80.255500793457",
                "metro_code": "",
                "timezone": "Asia/Kolkata",
                "ip_type": "ipv4",
                "capital": "New Delhi",
                "currency": "INR"
            }
        },
        "additional_data": {
            "document": {
                "proof": {
                    "face": "673,391,846,526",
                    "expiry_date": "1994-11-14",
                    "document_type": "2017 0006055",
                    "first_name": "de 40\nNamo\nIndia Driving Licence(Tamil Nadu)\nTN22 2017 0006055\nDate of Issue\n06-07-2017\nDate of Birth\n14-11-1994\nDHANUSHRAJA D\nFather's Name\nDEVADASAN\nValidity\n05-07-2037\nBlood Group\nUnknown",
                    "document_official_name": "Swiss driver's license",
                    "gender": "F",
                    "document_country": "India",
                    "document_country_code": "IN",
                    "full_name": "DHANUSHRAJA D",
                    "last_name": "D",
                    "father_name": "DEVADASAN",
                    "document_number": "TN22 2017 0006055",
                    "issue_date": "2017-07-06"
                }
            }
        },
        "declined_reason": null,
        "declined_reasons_list": []
    },
    "requested_at": "2023-12-14T07:43:38.457Z",
    "completed_at": "2023-12-14T07:50:45.300Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response " %}

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid email adddress",
        "field": "email",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/kyc-verification/face-and-document-verification/onsite-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
